# DataExchange
TKSTEP209
StepFEA

# StepFEA_Array1OfCurveElementInterval Class Reference

`#include <StepFEA_Array1OfCurveElementInterval.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_Array1OfCurveElementInterval (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_Array1OfCurveElementInterval (const Handle(StepFEA_CurveElementInterval)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementInterval)&V)
Standard_EXPORT void | Destroy ()
| ~StepFEA_Array1OfCurveElementInterval ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepFEA_Array1OfCurveElementInterval & | Assign (const StepFEA_Array1OfCurveElementInterval &Other)
const StepFEA_Array1OfCurveElementInterval & | operator= (const StepFEA_Array1OfCurveElementInterval &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_CurveElementInterval)&Value)
const Handle_StepFEA_CurveElementInterval & | Value (const Standard_Integer Index) const
const Handle_StepFEA_CurveElementInterval & | operator() (const Standard_Integer Index) const
Handle_StepFEA_CurveElementInterval & | ChangeValue (const Standard_Integer Index)
Handle_StepFEA_CurveElementInterval & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepFEA_Array1OfCurveElementInterval (const StepFEA_Array1OfCurveElementInterval &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Array1OfCurveElementInterval::StepFEA_Array1OfCurveElementInterval | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_Array1OfCurveElementInterval::StepFEA_Array1OfCurveElementInterval | ( | const Handle(StepFEA_CurveElementInterval)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepFEA_Array1OfCurveElementInterval::~StepFEA_Array1OfCurveElementInterval | ( |  | ) | `[inline]`

Standard_EXPORT StepFEA_Array1OfCurveElementInterval::StepFEA_Array1OfCurveElementInterval | ( | const StepFEA_Array1OfCurveElementInterval & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepFEA_Array1OfCurveElementInterval& StepFEA_Array1OfCurveElementInterval::Assign | ( | const StepFEA_Array1OfCurveElementInterval & | Other | ) |

Handle_StepFEA_CurveElementInterval& StepFEA_Array1OfCurveElementInterval::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementInterval::Destroy | ( |  | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementInterval::Init | ( | const Handle(StepFEA_CurveElementInterval)& | V | ) |

Standard_Boolean StepFEA_Array1OfCurveElementInterval::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementInterval::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementInterval::Lower | ( |  | ) | const

void StepFEA_Array1OfCurveElementInterval::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepFEA_Array1OfCurveElementInterval::operator new | ( | size_t | size | ) | `[inline]`

void* StepFEA_Array1OfCurveElementInterval::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepFEA_CurveElementInterval& StepFEA_Array1OfCurveElementInterval::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepFEA_CurveElementInterval& StepFEA_Array1OfCurveElementInterval::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepFEA_Array1OfCurveElementInterval& StepFEA_Array1OfCurveElementInterval::operator= | ( | const StepFEA_Array1OfCurveElementInterval & | Other | ) | `[inline]`

void StepFEA_Array1OfCurveElementInterval::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_CurveElementInterval)& | Value
| ) |

Standard_Integer StepFEA_Array1OfCurveElementInterval::Upper | ( |  | ) | const

const Handle_StepFEA_CurveElementInterval& StepFEA_Array1OfCurveElementInterval::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepFEA_Array1OfCurveElementInterval::isAllocated`[private]`

Standard_Integer StepFEA_Array1OfCurveElementInterval::myLowerBound`[private]`

Standard_Address StepFEA_Array1OfCurveElementInterval::myStart`[private]`

Standard_Integer StepFEA_Array1OfCurveElementInterval::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepFEA_Array1OfCurveElementInterval.hxx